rte_eth_representor_range(3)

NAME
rte_eth_representor_range

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

enum rte_eth_representor_type type
int controller
int pf
uint32_t id_base
uint32_t id_end
char name [RTE_DEV_NAME_MAX_LEN]

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice.

Ethernet device representor ID range entry

Definition at line 5753 of file rte_ethdev.h.

Field Documentation

  enum rte_eth_representor_type type
Representor type

Definition at line 5754 of file rte_ethdev.h.

  int controller
Controller index

Definition at line 5755 of file rte_ethdev.h.

  int pf
Physical function index

Definition at line 5756 of file rte_ethdev.h.

  int vf
VF start index

Definition at line 5759 of file rte_ethdev.h.

  int sf
SF start index

Definition at line 5760 of file rte_ethdev.h.

  uint32_t id_base
Representor ID start index

Definition at line 5762 of file rte_ethdev.h.

  uint32_t id_end
Representor ID end index

Definition at line 5763 of file rte_ethdev.h.

  char name[RTE_DEV_NAME_MAX_LEN]
Representor name

Definition at line 5764 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.